Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Reservation Requests
  • Introduction
  • Customers
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Off Days
    • index
      GET
  • Reservation Payments
    • Activate or deactivate a payment request
      PATCH
    • Create a new payment request for a reservation
      POST
    • Update an existing payment request
      PATCH
    • Reactivate an expired or cancelled payment request
      PATCH
  • Reservation Requests
    • approve
      PATCH
    • create
      POST
    • index
      GET
    • reject
      PATCH
    • update
      PATCH
  • Reservations
    • check-in
      PATCH
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Revenue Centers
    • index
      GET
  • Reviews
    • index
      GET
  • Stores
    • show
      GET
  • Tables
    • index
  • Online Reservation Requests
    • request-slot-hours
    • request-slots-availability
    • request-unavailable-dates
  • Online Reservations
    • slot-hours
    • slots-availability
    • unavailable-dates
  1. Reservation Requests

update

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
PATCH
/v1/reservation-requests/{id}

Request

Authorization
API Key
Add parameter in header
CheckandPlace-Access-Token
Example:
CheckandPlace-Access-Token: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
successful
Bodyapplication/json

🟠401
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.checkandplace.com/v1/reservation-requests/' \
--header 'CheckandPlace-Access-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "revenue_center_id": "3b274567-7234-4972-bc6c-e8795c241942",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "reference_id": "97c1ff22-6e4f-4821-b1d3-5236781d37b8",
    "date": "2025-05-06 21:00",
    "guest_count": 0,
    "note": "string",
    "requires_payment_request": true,
    "allergen_or_intolerance": true,
    "tag_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ]
}'
Response Response Example
200 - Response
{
    "id": "0c4c9c94-b82c-4ee5-ba9a-5af53efa5b08",
    "customer_id": "63e4b3cb-b4da-4818-9010-d7375f69aa72",
    "customer_name": "John Doe",
    "customer_type_name": "Normal",
    "customer_blacklist": false,
    "customer_country_code": "TR",
    "primary_phone_number": "05059502454",
    "datetime": "2025-05-07T20:00:00+03:00",
    "date": "2025-05-07",
    "time": "20:00",
    "estimated_discharged_at": null,
    "passing_time": {
        "year": 0,
        "month": 0,
        "day": 0,
        "hour": 0,
        "minute": 0
    },
    "day": "Wednesday",
    "guest_count": 4,
    "note": "Updated note",
    "status": "waiting",
    "reason_name": null,
    "created_at": "2025-05-05T12:00:00+03:00",
    "created_source": "online",
    "google_booking": false,
    "allergen_or_intolerance": true,
    "requires_payment_request": false,
    "revenue_center_id": "05fe7a1a-67a6-4faa-9c58-fb72bb7a99e9",
    "revenue_center_name": "Main Hall",
    "child_revenue_center_id": null,
    "child_revenue_center_name": null,
    "campaign_code": null,
    "customer": {
        "id": "8dcddddf-e668-4c22-8b73-a2d79abb2838",
        "name": "John Doe",
        "primary_phone_number": "05059502454",
        "customer_country_code": "TR",
        "type_id": "4aac2d85-9356-4209-aa5d-be3c3e00b964",
        "type_name": "Normal",
        "is_anonym": false,
        "blacklist": false,
        "allow_sms": true,
        "allow_email": true,
        "is_default_type": true,
        "reviews_average_score": 4.5
    },
    "reference": {
        "id": "7a72c579-6d64-457d-bcf1-90a2234a7c5a",
        "organization_id": "872f8bad-3946-4ed2-8599-f7aa99240af6",
        "name": "VIP",
        "country_code": "TR",
        "phone_number": "05059502454",
        "email": "vip@example.com",
        "note": "Important guest"
    },
    "tags": [
        {
            "id": "29c497ad-7bc3-4ca8-b2a1-809b921dd4d9",
            "name_tr": "Vegan",
            "name_en": "Vegan",
            "type": "reservation",
            "icon_type": "generic",
            "icon": "🌿",
            "translations": [
                {
                    "name": "Vegan",
                    "locale": "en"
                },
                {
                    "name": "Vegan",
                    "locale": "tr"
                }
            ]
        }
    ]
}
Modified at 2026-05-06 13:06:45
Previous
reject
Next
check-in
Built with